de.esprit.netsuite.server.webserver

## Class WebServer

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.webserver.WebServer

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>

      public class WebServer
      extends AbstractServerObject<ServerContext>

  This is the internal Web-server of the EsprIT server which provides simple support for GET and POST requests. It maintains a public and a private webRootDir depending on whether the incoming request identifies itself as a current EsprIT-Client session in its URI.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServer(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContextHandler(java.lang.String contextPath, com.sun.net.httpserver.HttpHandler handler)` Allows for adding a special handler for a special contextPath.
    `void` | `close()`
    `void` | `start()`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `getServerConfig, getServerContext, getServerParams, getServerStartup, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebServer

          public WebServer(ServerContext serverCtx)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### addContextHandler

          public void addContextHandler(java.lang.String contextPath,
                               com.sun.net.httpserver.HttpHandler handler)

      Allows for adding a special handler for a special contextPath. A incoming request is passed to the handler that has the longest match with the contextPath.

    - #### start

          public void start()

    - #### close

          public void close()

Copyright © 2012 EsprIT-Systems. All Rights Reserved.